php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #72274 SOAP error when MS SQLSRV drivers are included in php.ini
Submitted: 2016-05-27 14:20 UTC Modified: 2016-05-27 14:23 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:0 of 1 (0.0%)
From: mark dot cassie at campdenbri dot co dot uk Assigned:
Status: Open Package: SOAP related
PHP Version: 5.6.22 OS: Windows 10
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2016-05-27 14:20 UTC] mark dot cassie at campdenbri dot co dot uk
Description:
------------
We have just started upgrading from Windows 7 to Windows 10 and I found this problem while testing the upgrade.

When I include

extension=php_pdo_sqlsrv_55_nts.dll 

in the php.ini file everything seems to work ok until the page hits the new SoapClient code below at which point it throws an error; 

PHP Fatal Error: SOAP-ERROR: Parsing WSDL: Couldn't load from 'https...' : failed to load external entity "https..." 

This code worked fine under Windows 7 and under Windows Server 2008 r2 SP1 but these errors started after the Windows 10 upgrade, removing the sqlsrv extension fixed the problem.

I am using the latest (3.2) version of the MS SQL server drivers



Test script:
---------------
$client = "https://example.com/WebServices/webservice.svc?wsdl";     

$this->soapClient = new SoapClient($client,
                array('features' => SOAP_SINGLE_ELEMENT_ARRAYS,
                    'trace' => false,
                    'exceptions' => true));


Expected result:
----------------
I don't expect to see the error mentioned above, in Windows 7 and Windows Server 2008 r2 the code works ok.

Actual result:
--------------
PHP Fatal Error: SOAP-ERROR: Parsing WSDL: Couldn't load from 'https...' : failed to load external entity "https..." 

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2016-05-27 14:23 UTC] mark dot cassie at campdenbri dot co dot uk
extension=php_pdo_sqlsrv_55_nts.dll should read 
extension=php_pdo_sqlsrv_56_nts.dll
 [2016-10-20 08:06 UTC] mark dot cassie at campdenbri dot co dot uk
This problem also applies to PHP 7.0.12 on Windows 10
 [2018-05-09 10:43 UTC] mark dot cassie at campdenbri dot co dot uk
The problem still exists in PHP 7.1.17 and with sql_srv 5.2

But can be solved by specifying a cacert.pem file location in the openssl.cafile parameter in php.ini
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Mon Sep 16 22:01:27 2019 UTC